Search Results for

Show / Hide Table of Contents

# Class DynamicMenuBar.DynamicMenuItemModel

##### Inheritance

System.Object
DynamicMenuBar.DynamicMenuItemModel

##### Implements

System.ComponentModel.INotifyPropertyChanged

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuItemModel : Object

### Constructors

#### DynamicMenuItemModel()

##### Declaration

    public DynamicMenuItemModel()

### Properties

#### MenuBar

##### Declaration

    public ustring MenuBar { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Menus

##### Declaration

    public List<DynamicMenuBar.DynamicMenuItemList> Menus { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<DynamicMenuBar.DynamicMenuItemList> |

#### Parent

##### Declaration

    public ustring Parent { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

### Methods

#### GetPropertyName(String)

##### Declaration

    public string GetPropertyName(string propertyName = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | propertyName |

##### Returns

Type | Description
--- | ---
System.String |

### Events

#### PropertyChanged

##### Declaration

    public event PropertyChangedEventHandler PropertyChanged

##### Event Type

Type | Description
--- | ---
System.ComponentModel.PropertyChangedEventHandler |

### Implements

System.ComponentModel.INotifyPropertyChanged